'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  let t = _ref.types;

  return {
    visitor: {
      JSXOpeningElement(path, _ref2) {
        let file = _ref2.file;

        file.set('hasJSX', true);
      },

      Program: {
        enter(path, _ref3) {
          let file = _ref3.file;

          file.set('hasJSX', false);
        },

        exit(_ref4, _ref5) {
          let node = _ref4.node;
          let scope = _ref4.scope;
          let file = _ref5.file;

          if (!(file.get('hasJSX') && !scope.hasBinding('React'))) {
            return;
          }

          const reactImportDeclaration = t.importDeclaration([t.importDefaultSpecifier(t.identifier('React'))], t.stringLiteral('react'));

          node.body.unshift(reactImportDeclaration);
        }
      }
    }
  };
};